Remove users from a Workspace.

It is required a Workspace and a list of users to remove. Permission Level: Read-Write

DELETE /users/workspaces/{workspaceType}/{workspaceName}/users

Operation id: WorkspaceService_DeleteWorkspaceUsers

Tags: WorkspaceService

Parameters

Path parameters

NameTypeRequiredDescription
workspaceNamestringYesName of the workspace. Required: true
workspaceTypestringYesThe workspace type of the workspace. Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
usersarrayNo
fieldMaskstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "userId": {
            "type": "string",
            "description": "The user ID. Required: true."
          },
          "firstName": {
            "type": "string",
            "description": "The first name. Required: false."
          },
          "lastName": {
            "type": "string",
            "description": "The last name. Required: false."
          }
        }
      }
    },
    "fieldMask": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
workspaceobjectNo
{
  "type": "object",
  "properties": {
    "workspace": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "parent": {
          "type": "string",
          "description": "Name of the parent of the workspace. Empty if root workspace."
        },
        "workspaceType": {
          "type": "string"
        },
        "tenantId": {
          "type": "string"
        },
        "ancestors": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "descendants": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "displayName": {
          "type": "string"
        },
        "attributes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "scope": {
                "type": "string"
              },
              "fieldName": {
                "type": "string"
              },
              "value": {
                "type": "string"
              },
              "domain": {
                "type": "string"
              }
            }
          }
        },
        "users": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "tenantId": {
                "type": "string",
                "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
              },
              "userId": {
                "type": "string",
                "description": "The user ID. Required: true."
              },
              "firstName": {
                "type": "string",
                "description": "The first name. Required: false."
              },
              "lastName": {
                "type": "string",
                "description": "The last name. Required: false."
              }
            }
          }
        },
        "enabledScopes": {
          "type": "object"
        },
        "creationTime": {
          "type": "string",
          "format": "date-time"
        },
        "domain": {
          "type": "string"
        },
        "lastUpdated": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "expiration": {
          "type": "object"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}